summaryrefslogtreecommitdiffstats
path: root/src/tools/utils/sbe-size/collect-section-sizes
diff options
context:
space:
mode:
authorJoachim Fenkes <fenkes@de.ibm.com>2018-11-16 15:57:39 +0100
committerRAJA DAS <rajadas2@in.ibm.com>2019-02-19 04:30:50 -0600
commit4529a95e14de37b40ece0c1c0b3894a5bdbf6f58 (patch)
tree4f2f7ac26c76fec6333d53dbce6b84f6f4f2d76d /src/tools/utils/sbe-size/collect-section-sizes
parent8a09d58df7aa0dedfbd6a3cfbac3b93f5f29e01c (diff)
downloadtalos-sbe-4529a95e14de37b40ece0c1c0b3894a5bdbf6f58.tar.gz
talos-sbe-4529a95e14de37b40ece0c1c0b3894a5bdbf6f58.zip
Add tools to help measure and compare SBE image size
- Break SBE image size contributions down by module - Measure code, data and stack usage - Compare sizes before and after a change to measure change impact - Compare object section sizes, stack usage, disassembly, map file Change-Id: Id873ba86cff7b8ecffdd37c028a57091535ea06d Reviewed-on: http://rchgit01.rchland.ibm.com/gerrit1/69407 Tested-by: Jenkins Server <pfd-jenkins+hostboot@us.ibm.com> Tested-by: FSP CI Jenkins <fsp-CI-jenkins+hostboot@us.ibm.com> Reviewed-by: RAJA DAS <rajadas2@in.ibm.com>
Diffstat (limited to 'src/tools/utils/sbe-size/collect-section-sizes')
-rwxr-xr-xsrc/tools/utils/sbe-size/collect-section-sizes34
1 files changed, 34 insertions, 0 deletions
diff --git a/src/tools/utils/sbe-size/collect-section-sizes b/src/tools/utils/sbe-size/collect-section-sizes
new file mode 100755
index 00000000..27b76875
--- /dev/null
+++ b/src/tools/utils/sbe-size/collect-section-sizes
@@ -0,0 +1,34 @@
+#!/bin/bash
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: src/tools/utils/sbe-size/collect-section-sizes $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2018
+# [+] International Business Machines Corp.
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
+
+if [ -z "${SBE_INSIDE_WORKON}" ]; then
+ echo "Must be in a workon - exiting."
+ exit 1
+fi
+
+MYDIR=$(dirname $0)
+find $SBEROOT/obj/power -name *.o | xargs python3 $MYDIR/section-sizes.py -m $SBEROOT/images/sbe_seeprom_DD2.map
+python3 $MYDIR/section-sizes.py $SBEROOT/images/sbe_seeprom_DD2.out
OpenPOWER on IntegriCloud